<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SendMsg Method (IEdmUser5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUser5 Interface : SendMsg Method (IEdmUser5)

Visual Basic
C#
C++/CLI

bsSubject
  Subject of the email

bsMessageText
  Message detail (see Remarks)

Sends email to this user.

# Syntax

Visual Basic |
--- | ---

    Sub SendMsg( _
       ByVal bsSubject As System.String, _
       ByVal bsMessageText As System.String _
    )

C# |
--- | ---

    void SendMsg(
       System.string bsSubject,
       System.string bsMessageText
    )

C++/CLI |
--- | ---

    void SendMsg(
    &   System.String^ bsSubject,
    &   System.String^ bsMessageText
    )

#### Parameters

bsSubject
  Subject of the email
bsMessageText
  Message detail (see Remarks)

# Example

Send Message to Users (C#)
Send Message to Users (VB.NET)
Add and Remove User and Group from Folder (C#)
Add and Remove User and Group from Folder (VB.NET)

# Remarks

It is possible to send HTML-formatted mail, if the recipient uses a mail system that supports HTML. In so, add HTML tags to the text in bsMessageText.

For example, bsMessageText might contain:

> <html><body><h1>Hello!</h1>How are you?</body></html>

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUser5 Interface
IEdmUser5 Members
IEdmUserGroup5::SendMsg Method ()
IEdmInbox5::SendMsg Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2